Skip to main content
PATCH
Update check metadata

Authorizations

x-api-key
string
header
required

Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.

Headers

X-Idempotency-Key
string
required

Stable caller-chosen key (max 200 chars) making the mutation safely retryable.

Maximum string length: 200

Path Parameters

checkId
string
required

Check id

Query Parameters

organizationId
string<uuid>

Select one organization for this request. Defaults to the key organization. An HQ key may select an active descendant when its active acting attorney has the required HQ and resource permissions. Repeat the same organizationId on related mutations, upload completion, detail requests, and every cursor page. See /authorization.

Body

application/json
checkNumber
string | null
Required string length: 1 - 100
payorContactId
string | null
Required string length: 1 - 200
payorName
string | null
Required string length: 1 - 500
dateReceived
string
depositDate
string | null
resolutionId
string | null
Required string length: 1 - 200
deliveryMethod
enum<string> | null
Available options:
wire,
print,
ach,
other,
null
notes
string | null
Maximum string length: 10000

Response

{ success: true, check }

success
boolean
required
{key}
any